import ToastComponent from './vue-toast.vue'
let Toast = {}
Toast.install = function(Vue,options){

    Vue.prototype.$toast = function(message,option){
        const ToastController = Vue.extend(ToastComponent)
        var instance = new ToastController().$mount(document.createElement('div'))
        instance.message = message
        instance.visible = true
        document.body.appendChild(instance.$el)
        setTimeout(()=>{
            document.body.removeChild(instance.$el)
        },3000)
    }

    Vue.prototype.$toast.show = function(message,option){
        Vue.prototype.$toast(message,option)
    }
}

if(window.Vue){
    Vue.use(Toast)
}

export default Toast